import { unified } from 'unified'
import rehypeSanitize from 'rehype-sanitize'
import rehypeStringify from 'rehype-stringify'
import remarkGfm from 'remark-gfm'
import remarkParse from 'remark-parse'
import remarkRehype from 'remark-rehype'

export async function parseContent(content: string): Promise<string> {
  content = content.replace(
    /!\[.*?\]\(solink:\/\/attachments\/([\w-]+)\)/g,
    '![alt](https://api.sn.solsynth.dev/cgi/uc/attachments/$1)',
  )

  const out = await unified()
    .use(remarkParse)
    .use(remarkRehype)
    .use(remarkGfm)
    .use(rehypeSanitize)
    .use(rehypeStringify)
    .process(content)

  return String(out)
}
